Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jp.sbi.celldesigner.plugin.util
Class PluginCompartmentSymbolType

    java.lang.Object
      jp.sbi.celldesigner.plugin.util.PluginCompartmentSymbolType

    public class PluginCompartmentSymbolType

extends java.lang.Object

This class defines CompartmentType for PluginCompartment.

Author:

Field Summary
`static java.lang.String` | `CLOSEUP_NORTHEAST` CLOSEUP_NORTHEAST
`static java.lang.String` | `CLOSEUP_NORTHWEST` CLOSEUP_NORTHWEST
`static java.lang.String` | `CLOSEUP_SOUTHEAST` CLOSEUP_SOUTHEAST
`static java.lang.String` | `CLOSEUP_SOUTHWEST` CLOSEUP_SOUTHWEST
`static java.lang.String` | `OVAL` OVAL
`static java.lang.String` | `SQUARE` SQUARE
`static java.lang.String` | `SQUARE_CLOSEUP_NORTHEAST` SQUARE_CLOSEUP_NORTHEAST
`static java.lang.String` | `SQUARE_CLOSEUP_NORTHWEST` SQUARE_CLOSEUP_NORTHWEST
`static java.lang.String` | `SQUARE_CLOSEUP_SOUTHEAST` SQUARE_CLOSEUP_SOUTHEAST
`static java.lang.String` | `SQUARE_CLOSEUP_SOUTHWEST` SQUARE_CLOSEUP_SOUTHWEST

Constructor Summary
`PluginCompartmentSymbolType()`

Method Summary
`static java.awt.Color` | `getDefaultColor(java.lang.String compartmentType)` Gets the default color of the given compartmentType.
`static boolean` | `isValidCompartmentType(PluginCompartment sp)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SQUARE

    public static final java.lang.String SQUARE

  SQUARE

  See Also:
    Constant Field Values

### OVAL

    public static final java.lang.String OVAL

  OVAL

  See Also:
    Constant Field Values

### SQUARE_CLOSEUP_NORTHWEST

    public static final java.lang.String SQUARE_CLOSEUP_NORTHWEST

  SQUARE_CLOSEUP_NORTHWEST

  See Also:
    Constant Field Values

### SQUARE_CLOSEUP_NORTHEAST

    public static final java.lang.String SQUARE_CLOSEUP_NORTHEAST

  SQUARE_CLOSEUP_NORTHEAST

  See Also:
    Constant Field Values

### SQUARE_CLOSEUP_SOUTHWEST

    public static final java.lang.String SQUARE_CLOSEUP_SOUTHWEST

  SQUARE_CLOSEUP_SOUTHWEST

  See Also:
    Constant Field Values

### SQUARE_CLOSEUP_SOUTHEAST

    public static final java.lang.String SQUARE_CLOSEUP_SOUTHEAST

  SQUARE_CLOSEUP_SOUTHEAST

  See Also:
    Constant Field Values

### CLOSEUP_NORTHWEST

    public static final java.lang.String CLOSEUP_NORTHWEST

  CLOSEUP_NORTHWEST

  See Also:
    Constant Field Values

### CLOSEUP_NORTHEAST

    public static final java.lang.String CLOSEUP_NORTHEAST

  CLOSEUP_NORTHEAST

  See Also:
    Constant Field Values

### CLOSEUP_SOUTHWEST

    public static final java.lang.String CLOSEUP_SOUTHWEST

  CLOSEUP_SOUTHWEST

  See Also:
    Constant Field Values

### CLOSEUP_SOUTHEAST

    public static final java.lang.String CLOSEUP_SOUTHEAST

  CLOSEUP_SOUTHEAST

  See Also:
    Constant Field Values

Constructor Detail

### PluginCompartmentSymbolType

    public PluginCompartmentSymbolType()

Method Detail

### isValidCompartmentType

    public static boolean isValidCompartmentType(PluginCompartment sp)

  Parameters:
    `sp` - PluginCompartment
  Returns:
    true if the type of the given PluginCompartment is the one of the following fields of this PluginCompartmentSymbolType: CLOSEUP_NORTHEAST, CLOSEUP_NORTHWEST, CLOSEUP_SOUTHEAST, CLOSEUP_SOUTHWEST, OVAL, SQUARE, SQUARE, SQUARE_CLOSEUP_NORTHEAST, SQUARE_CLOSEUP_NORTHWEST, SQUARE_CLOSEUP_SOUTHEAST and SQUARE_CLOSEUP_SOUTHWEST , false otherwise

### getDefaultColor

    public static java.awt.Color getDefaultColor(java.lang.String compartmentType)

  Gets the default color of the given compartmentType.

  Parameters:
    `compartmentType` - String
  Returns:
    Color

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD